View Issue Details

IDProjectCategoryView StatusLast Update
0004160Talermechant backendpublic2016-10-11 17:28
ReporterFlorian DoldAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004160: it should be possible to query the payment status of a contract by transaction id
DescriptionCurrent applications do not need this (/pay sets session state in the fulfillment page context), but future applications might require it.

This would allow other frontend-pages to show the status of contracts without being tied to the fulfillment page mechanism and with only having the transaction id.
TagsNo tags attached.

Relationships

related to 0004502 closedChristian Grothoff tracking wire transfers 

Activities

Christian Grothoff

2016-05-31 09:45

manager   ~0010804

Note that the main thing the backend does here is provide it's private key (as the requests need to be signed). Aside from that, it just passes through the transaction ID/wtid from the frontend and passes back the response from the exchange.

Christian Grothoff

2016-06-11 00:48

manager   ~0010887

First test passes as of 0b502dd..8c1dc58.

Testcase could be more extensive, and should be checked for memory leaks.

Christian Grothoff

2016-06-11 19:38

manager   ~0010891

Memory leaks fixed as of 489eaec..c70b560

Christian Grothoff

2016-06-11 20:08

manager   ~0010892

Test coverage now OK.

Christian Grothoff

2016-06-11 20:49

manager   ~0010895

Should be fine now, including timestamps of wire transfers (16abbeb..52de2d3).

Issue History

Date Modified Username Field Change
2016-01-27 17:40 Florian Dold New Issue
2016-01-27 17:40 Florian Dold Status new => assigned
2016-01-27 17:40 Florian Dold Assigned To => Marcello Stanisci
2016-01-27 18:10 Christian Grothoff Product Version => 0.0
2016-01-27 18:10 Christian Grothoff Target Version => 0.5
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004300
2016-05-26 21:56 Christian Grothoff Target Version 0.5 => 0.4
2016-05-31 09:45 Christian Grothoff Note Added: 0010804
2016-05-31 09:45 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2016-05-31 19:08 Christian Grothoff Priority low => normal
2016-05-31 19:10 Christian Grothoff Relationship added related to 0004502
2016-06-03 13:38 Christian Grothoff Target Version 0.4 => 0.1
2016-06-11 00:48 Christian Grothoff Note Added: 0010887
2016-06-11 19:38 Christian Grothoff Note Added: 0010891
2016-06-11 20:08 Christian Grothoff Note Added: 0010892
2016-06-11 20:49 Christian Grothoff Note Added: 0010895
2016-06-11 20:49 Christian Grothoff Status assigned => resolved
2016-06-11 20:49 Christian Grothoff Fixed in Version => 0.1
2016-06-11 20:49 Christian Grothoff Resolution open => fixed
2016-10-11 17:28 Christian Grothoff Status resolved => closed